## org.apache.ivy.core.report
Class DownloadReport

    java.lang.Object
      org.apache.ivy.core.report.DownloadReport

    public class DownloadReport

extends java.lang.Object

Constructor Summary
`DownloadReport()`

Method Summary
`void` `addArtifactReport(ArtifactDownloadReport adr)`
`ArtifactDownloadReport` `getArtifactReport(Artifact artifact)`
`ArtifactDownloadReport[]` `getArtifactsReports()`
`ArtifactDownloadReport[]` `getArtifactsReports(DownloadStatus status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DownloadReport

    public DownloadReport()

Method Detail

### addArtifactReport

    public void addArtifactReport(ArtifactDownloadReport adr)

### getArtifactsReports

    public ArtifactDownloadReport[] getArtifactsReports()

### getArtifactsReports

    public ArtifactDownloadReport[] getArtifactsReports(DownloadStatus status)

### getArtifactReport

    public ArtifactDownloadReport getArtifactReport(Artifact artifact)